Loading...
Searching...
No Matches
reference_element_declare.cc File Reference

Go to the source code of this file.

## Variables

const reference_element::size_type | geo_element_T_fac2edg_idx [4][3]
const reference_element::size_type | geo_element_P_fac2edg_idx [5][4]
const reference_element::size_type | geo_element_H_fac2edg_idx [6][4]
const int | geo_element_T_fac2edg_orient [4][3]
const int | geo_element_P_fac2edg_orient [5][4]
const int | geo_element_H_fac2edg_orient [6][4]

## Variable Documentation

## geo_element_T_fac2edg_idx

const reference_element::size_type geo_element_T_fac2edg_idx[4][3]

Initial value:
= {
{2,1,0},
{3,5,2},
{0,4,3},
{1,5,4} }

Definition at line 84 of file reference_element_declare.cc.

## geo_element_P_fac2edg_idx

const reference_element::size_type geo_element_P_fac2edg_idx[5][4]

Initial value:
= {
{2,1,0},
{6,7,8},
{0,4,6,3},
{1,5,7,4},
{3,8,5,2} }

Definition at line 91 of file reference_element_declare.cc.

## geo_element_H_fac2edg_idx

const reference_element::size_type geo_element_H_fac2edg_idx[6][4]

Initial value:
= {
{3,2,1,0},
{4,11,7,3},
{0,5,8,4},
{8,9,10,11},
{1,6,9,5},
{2,7,10,6} }

Definition at line 99 of file reference_element_declare.cc.

## geo_element_T_fac2edg_orient

const int geo_element_T_fac2edg_orient[4][3]

Initial value:
= {
{-1,-1,-1},
{1,-1,1},
{1,1,-1},
{1,1,-1} }

Definition at line 108 of file reference_element_declare.cc.

## geo_element_P_fac2edg_orient

const int geo_element_P_fac2edg_orient[5][4]

Initial value:
= {
{-1,-1,-1},
{1,1,1},
{1,1,-1,-1},
{1,1,-1,-1},
{1,-1,-1,1} }

Definition at line 115 of file reference_element_declare.cc.

## geo_element_H_fac2edg_orient

const int geo_element_H_fac2edg_orient[6][4]

Initial value:
= {
{-1,-1,-1,-1},
{1,-1,-1,1},
{1,1,-1,-1},
{1,1,1,1},
{1,1,-1,-1},
{1,1,-1,-1} }

Definition at line 123 of file reference_element_declare.cc.